summaryrefslogtreecommitdiffstats
path: root/multimedia/droidcam
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/droidcam')
-rw-r--r--multimedia/droidcam/README21
-rw-r--r--multimedia/droidcam/README.SLACKWARE24
-rw-r--r--multimedia/droidcam/dkms.conf5
-rw-r--r--multimedia/droidcam/doinst.sh30
-rw-r--r--multimedia/droidcam/douninst.sh7
-rw-r--r--multimedia/droidcam/droidcam.SlackBuild118
-rw-r--r--multimedia/droidcam/droidcam.info10
-rw-r--r--multimedia/droidcam/slack-desc19
8 files changed, 234 insertions, 0 deletions
diff --git a/multimedia/droidcam/README b/multimedia/droidcam/README
new file mode 100644
index 0000000000..354a218a76
--- /dev/null
+++ b/multimedia/droidcam/README
@@ -0,0 +1,21 @@
+DroidCam
+
+DroidCam turns your phone/tablet into a webcam for your PC. Use
+ it with chat programs like Zoom, MS Teams, and Skype.
+
+Main Features:
+– Chat using “DroidCam Webcam” on your computer, including Sound
+and Picture.
+– Connect over WiFi or USB cable.
+– Unlimited free usage with standard definition.
+– Keep using your phone while DroidCam is in background (Android).
+– Simple, safe, efficient, and trusted by millions of people
+worldwide.
+
+The GNU/Linux client is a combination an executable app that
+connects to the phone, and Video4Linux and ALSA loopback drivers.
+
+It’s assumed you are somewhat familiar with the system and how to
+use the Terminal. Please keep in mind other posts on the site are
+Windows oriented.
+
diff --git a/multimedia/droidcam/README.SLACKWARE b/multimedia/droidcam/README.SLACKWARE
new file mode 100644
index 0000000000..a91a930ff9
--- /dev/null
+++ b/multimedia/droidcam/README.SLACKWARE
@@ -0,0 +1,24 @@
+
+Droidcam Slackware
+
+Probably the camera and microphone modules of the cell
+phone will not be loaded at startup, being necessary to
+add the following lines in the file "rc.modules.local".
+
+/sbin/modprobe v4l2loopback-dc
+/sbin/modprobe snd-aloop
+
+
+It is important to install the dkms package because it
+manages the v412loopback-dc video module. to compile the
+module automatically when the kernel is updated.
+Added this lines in rc.modules.local.
+
+# Enable DKMS module rebuilding
+
+if [ -x /usr/lib/dkms/dkms_autoinstaller ]; then
+ echo "Running DKMS autoinstaller"
+ /usr/lib/dkms/dkms_autoinstaller start
+fi
+
+
diff --git a/multimedia/droidcam/dkms.conf b/multimedia/droidcam/dkms.conf
new file mode 100644
index 0000000000..6a926bc32c
--- /dev/null
+++ b/multimedia/droidcam/dkms.conf
@@ -0,0 +1,5 @@
+PACKAGE_NAME="v4l2loopback-dc"
+PACKAGE_VERSION="1.8.2"
+BUILT_MODULE_NAME[0]="v4l2loopback-dc"
+DEST_MODULE_LOCATION[0]="/kernel/drivers/media/video/v4l2loopback-dc"
+AUTOINSTALL="yes" \ No newline at end of file
diff --git a/multimedia/droidcam/doinst.sh b/multimedia/droidcam/doinst.sh
new file mode 100644
index 0000000000..4c9ca03538
--- /dev/null
+++ b/multimedia/droidcam/doinst.sh
@@ -0,0 +1,30 @@
+VERSION="1.8.2"
+MODULE="v4l2loopback-dc"
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+_installModule(){
+
+ cp -r /tmp/SBo/$MODULE-$VERSION /usr/src/
+ dkms add -m $MODULE -v $VERSION
+ dkms build -m $MODULE -v $VERSION
+ dkms install -m $MODULE -v $VERSION
+ /sbin/modprobe $MODULE
+ /sbin/modprobe snd-aloop
+}
+
+if [ "lsmod | grep v4l2loopback_dc" ]; then
+
+ _installModule
+
+else
+
+ echo "Module v4l2loopback_dc installed"
+
+fi
diff --git a/multimedia/droidcam/douninst.sh b/multimedia/droidcam/douninst.sh
new file mode 100644
index 0000000000..4406ab4609
--- /dev/null
+++ b/multimedia/droidcam/douninst.sh
@@ -0,0 +1,7 @@
+
+ VERSION="1.8.2"
+ MODULE="v4l2loopback-dc"
+
+dkms remove -m $MODULE/$VERSION --all >/dev/null 2>&1
+rm -rf /usr/src/$MODULE-$VERSION >/dev/null 2>&1
+rmmod -f v4l2loopback-dc >/dev/null 2>&1
diff --git a/multimedia/droidcam/droidcam.SlackBuild b/multimedia/droidcam/droidcam.SlackBuild
new file mode 100644
index 0000000000..d2d8ffdfc5
--- /dev/null
+++ b/multimedia/droidcam/droidcam.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/bash
+
+# Slackware build script for droidcam
+
+#
+# Copyright 2021 Andreo F. Rissardo <andreotec@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=droidcam
+VERSION=${VERSION:-1.8.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+unzip $CWD/"$PRGNAM"_"$VERSION".zip -d $TMP/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+
+
+MODULE="v4l2loopback-dc"
+
+#Prepare folder to install
+mkdir -p $PKG/usr/src/$MODULE-$VERSION
+cp -r $TMP/$PRGNAM-$VERSION/v4l2loopback $TMP/$MODULE-$VERSION
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/share/icons
+mkdir -p $PKG/usr/share/applications
+mkdir -p $PKG/usr/bin
+
+cat $CWD/dkms.conf > $TMP/$MODULE-$VERSION/dkms.conf
+cp -a $TMP/$PRGNAM-$VERSION/$PRGNAM $PKG/usr/bin/$PRGNAM
+strip -s $PKG/usr/bin/$PRGNAM
+cp -a $TMP/$PRGNAM-$VERSION/icon2.png $PKG/usr/share/icons/droidcam.png
+cp -a $TMP/$PRGNAM-$VERSION/droidcam.desktop $PKG/usr/share/applications/Droidcam.desktop
+
+sed -i "5,6s/local\///" $PKG/usr/share/applications/Droidcam.desktop
+sed -i "7s/.*/Icon=\/usr\/share\/icons\/droidcam.png/" $PKG/usr/share/applications/Droidcam.desktop
+
+#Documentation
+cp -a $CWD/README* $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/douninst.sh > $PKG/install/douninst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/multimedia/droidcam/droidcam.info b/multimedia/droidcam/droidcam.info
new file mode 100644
index 0000000000..3849af8446
--- /dev/null
+++ b/multimedia/droidcam/droidcam.info
@@ -0,0 +1,10 @@
+PRGNAM="droidcam"
+VERSION="1.8.2"
+HOMEPAGE="https://www.dev47apps.com/"
+DOWNLOAD="https://files.dev47apps.net/linux/droidcam_1.8.2.zip"
+MD5SUM="af019ca66198c501e2ffa813d1c81471"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="android-tools dkms"
+MAINTAINER="Andreo Rissardo"
+EMAIL="andreotec@gmail.com"
diff --git a/multimedia/droidcam/slack-desc b/multimedia/droidcam/slack-desc
new file mode 100644
index 0000000000..52ffa083b1
--- /dev/null
+++ b/multimedia/droidcam/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+droidcam: droidcam (Use your phone as a webcam!)
+droidcam:
+droidcam: DroidCam turns your phone/tablet into a webcam for your PC. Use it
+droidcam: with chat programs like Zoom, MS Teams, and Skype. The app works with
+droidcam: a PC Client component that installs the webcam drivers, and connects
+droidcam: the computer to your mobile.
+droidcam:
+droidcam:
+droidcam:
+droidcam: https://www.dev47apps.com/
+droidcam: